#pragma once

#include "ehs/EHS.h"

namespace ehs
{
	enum class ChangeType : UInt_8
	{
		X_AXIS_POS,
		Y_AXIS_POS,
		Z_AXIS_POS,
		X_AXIS_SCALE,
		Y_AXIS_SCALE,
		Z_AXIS_SCALE,
		X_AXIS_ROT,
		Y_AXIS_ROT,
		Z_AXIS_ROT,
		W_AXIS_ROT,
		INVALID
	};

	class EHS_LIB_IO PropertyChange
	{
	public:
		ChangeType type;
		float value;

		PropertyChange();

		PropertyChange(const ChangeType type, const float value);
	};
}